Skip to main content
GET
/
transfer
/
open
/
institution
/
v1
/
pay
/
convert
/
pair
Query Available Convert Pairs
curl --request GET \
  --url https://openplatform.gateapi.io/transfer/open/institution/v1/pay/convert/pair \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "status": "<string>",
  "code": "<string>",
  "errorMessage": "<string>",
  "data": [
    {
      "pair": "<string>",
      "sellCurrency": "<string>",
      "buyCurrency": "<string>",
      "sellCurrencyMax": "<string>",
      "buyCurrencyMax": "<string>",
      "buyCurrencyMin": "<string>",
      "sellCurrencyMin": "<string>"
    }
  ]
}

Headers

X-GatePay-Certificate-ClientId
string
required

The clientId assigned when the merchant registers an application in the Gate merchant console.

Example:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
required

Request signature. GatePay uses this signature to verify whether the request is valid.

X-GatePay-Timestamp
string
required

UTC timestamp in milliseconds when the request is generated. GatePay will not process requests where the difference from the receive time exceeds 10 seconds.

Example:

"1672905655498"

X-GatePay-Nonce
string
required

Random string. Must comply with HTTP header rules; recommended length is within 32 characters, composed of digits and letters.

Example:

"9578"

X-GatePay-On-Behalf-Of
string
required

The institution account id being acted on behalf of (sub-account ID).

Example:

"2124538349"

Query Parameters

currency
string
required

Currency

side
enum<string>

Trade side: buy or sell

Available options:
buy,
sell

Response

200 - application/json

Success

status
string
code
string
errorMessage
string
data
object[]